Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.jmx.mbeans
Interface ClusterRuntimeMBean

    public interface ClusterRuntimeMBean

`ClusterRuntimeMBean` provides the ability to expose JReport Server Cluster's attributes and operations.

Method Summary
`Member[]` | `getClusteredServers()` Gets all `ServerRuntimeMBean`s' definition.
`ServerStatus[]` | `getClusteredServerStatus()` Gets all active clustered server's status.
`java.lang.String` | `getClusterName()` Gets the Cluster's name.
`Member[]` | `getPredefinedServers()` Deprecated. since v10
`ServerStatus[]` | `getPredefinedServerStatus()` Deprecated. since v10
`ServerStatus` | `getServerStatus(java.lang.String host, int port)` Gets the `SeverStatus` according to the Server's host and port.
`boolean` | `isClusterEnable()` Judges whether the JReport Server Cluster is enabled or not.
`void` | `stopServer(java.lang.String host, int port)` Stops a JReport Server within the Cluster according to its host address and RMI port number.

Method Detail

### isClusterEnable

    boolean isClusterEnable()

  Judges whether the JReport Server Cluster is enabled or not.

  Returns:
    true if the JReport Server Cluster is enabled, or else return false.

### getClusterName

    java.lang.String getClusterName()

  Gets the Cluster's name.

  Returns:
    the Cluster's name.

### getPredefinedServers

    Member[] getPredefinedServers()

  Deprecated. since v10

  Gets all `ServerRuntimeMBean`s' definition.

  Returns:
    a Array of which element is a Member instance.

### getClusteredServers

    Member[] getClusteredServers()

  Gets all `ServerRuntimeMBean`s' definition.

  Returns:
    a Array of which element is a Member instance.

### getPredefinedServerStatus

    ServerStatus[] getPredefinedServerStatus()

  Deprecated. since v10

  Gets all predefined Servers' status.

  Returns:
    a Array of which element is a Status instance.

### getClusteredServerStatus

    ServerStatus[] getClusteredServerStatus()

  Gets all active clustered server's status.

  Returns:
    a Array of which element is a Status instance.

### getServerStatus

    ServerStatus getServerStatus(java.lang.String host,
                                 int port)

  Gets the `SeverStatus` according to the Server's host and port.

  Parameters:
    `host,` - The JReport Server's host address.
    `port,` - The JReport Server's port value.
  Returns:
    the ServerStatus instance.

### stopServer

    void stopServer(java.lang.String host,
                    int port)

  Stops a JReport Server within the Cluster according to its host address and RMI port number.

  Parameters:
    `host,` - The JReport Server's host address.
    `port,` - The JReport Server's port number.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD